# Imagick::setImageMatte

(PECL imagick 2.0.0)

Imagick::setImageMatte — Sets the image matte channel

### Description

Imagick::setImageMatte ( bool `$matte` ) : bool

Sets the image matte channel. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

`matte`

  True activates the matte channel and false disables it.

### Return Values

Returns `TRUE` on success.